%define shortname rssgrab
%define name gdesklets-%shortname
%define version 0.5
%define release 1mdk

Summary: RSS viewer for the Desktop
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{shortname}-%{version}.tar.gz
Source1:	Makefile_install_scripts.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=101
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: gdesklets

%description
This desklet allows you to view the contents of an RSS/RDF feed, as
supplied by various news sites and blogs all over the web.

To add the display, use one of these:
gdesklets-add-rssgrab-display
gdesklets-add-rssgrab-orig-display
gdesklets-add-rssgrab-psi-display


%prep
%setup -q -n %shortname-%version -a 1

%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%_bindir/gdesklets-add-rssgrab-display
%_bindir/gdesklets-add-rssgrab-orig-display
%_bindir/gdesklets-add-rssgrab-psi-display
%_datadir/gdesklets/Displays/rssgrab/
%_datadir/gdesklets/Sensors/DisplayConstraints/
%_datadir/gdesklets/Sensors/rssgrab/

%changelog
* Wed Feb 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- initial package
